head	1.6;
access;
symbols
	tonic_4:1.6
	tonic_3:1.6
	tonic_2:1.6
	demo:1.6.0.2
	design_report:1.6
	oral_presentation_freeze:1.2.0.4
	DAVEG_CDP:1.2.0.2
	template_integ:1.1.0.2;
locks; strict;
comment	@# @;


1.6
date	95.12.10.09.55.16;	author hartmans;	state Exp;
branches;
next	1.5;

1.5
date	95.12.04.06.17.24;	author daveg;	state Exp;
branches;
next	1.4;

1.4
date	95.12.03.19.58.40;	author hartmans;	state Exp;
branches;
next	1.3;

1.3
date	95.12.01.03.39.13;	author hartmans;	state Exp;
branches;
next	1.2;

1.2
date	95.11.26.04.19.02;	author jered;	state Exp;
branches
	1.2.4.1;
next	1.1;

1.1
date	95.11.21.06.54.58;	author hartmans;	state Exp;
branches
	1.1.2.1;
next	;

1.1.2.1
date	95.11.24.05.54.02;	author hartmans;	state Exp;
branches;
next	;

1.2.4.1
date	95.11.30.08.35.25;	author hartmans;	state Exp;
branches;
next	;


desc
@@


1.6
log
@Web fixes
@
text
@build_top=..
include ../config/commondefs
top_srcdir=@@top_srcdir@@
srcdir=@@srcdir@@
VPATH=@@srcdir@@
exec_prefix=@@exec_prefix@@

OBJS= main.o\
$(build_top)/antichess/antichess_board.o $(build_top)/antichess/chess_capture_move.o\
    $(build_top)/antichess/chess_display_board.o\
    $(build_top)/antichess/antichess_valid_moves.o $(build_top)/antichess/antichess_valid_moves_avail.o \
    $(build_top)/antichess/chess_display.o

all: tester
LLDLIBS = -lbase -lps5
tester: $(OBJS) $(LIBDIR)/libbase.a $(LIBDIR)/libps5.a
	$(C++F) -o $@@ $^ $(LDFLAGS)

include $(top_srcdir)/config/commonrules
@


1.5
log
@added stuff for antichess to work
@
text
@d8 1
a8 1
OBJS= tic_board.o main.o\
@


1.4
log
@Use antichess_board for testing
@
text
@d11 2
a12 1
    $(build_top)/antichess/antichess_valid_moves.o $(build_top)/antichess/antichess_valid_moves_avail.o
@


1.3
log
@Integrate oral presentation changes into main line.
@
text
@d8 5
a12 1
OBJS= tic_board.o main.o
d15 1
a15 1
tester: $(OBJS)
@


1.2
log
@Implementation and interface changes, see ChangLog.
(Attempting to commit again.)
#$@@$@@ Linux-AFS over SLIP.
@
text
@d8 5
a12 2
OBJS= test_board.o tic_board.o
all: libbase.a 
a13 3

libbase.a: $(OBJS)
	
@


1.2.4.1
log
@Make it compile if not link
@
text
@d8 2
a9 5
OBJS= tic_board.o main.o
all: tester
LLDLIBS = -lbase -lps5
tester: $(OBJS)
	$(C++F) -o $@@ $^ $(LDFLAGS)
d11 3
@


1.1
log
@oops
@
text
@d8 1
a8 1
OBJS= test_board.o
@


1.1.2.1
log
@Add support for no-implicit-templates
and build ../lib/libbase.a
@
text
@d8 2
a9 1
LLDLIBS= -lbase
a10 1
OBJS= test_board.o main.o
d12 1
a12 7
all:test_game

test_game: $(OBJS) $(LLIBDEPS)
	$(C++F) -o $@@ $<  $(LDFLAGS)



@
